#include "Motor.h"

#include <time.h>

namespace RoboidControl {

Motor::Motor() : Thing(0) { // for now, id should be set properly later
  this->type = (int)Thing::UncontrolledMotor;
}

float Motor::GetActualSpeed() { return this->currentTargetSpeed; }

void Motor::SetTargetSpeed(float targetSpeed) {
  this->currentTargetSpeed = targetSpeed;
}

float Motor::GetTargetSpeed() { return (this->currentTargetSpeed); }

void Motor::Update(unsigned long currentTimeMs) {}

}